Name:           tint2
Version:        0.13
Release:        %mkrel 1
Summary:        A Lightweight Panel and Taskbar
License:        GPLv2
Group:          Graphical desktop/Other
Url:            https://gitlab.com/o9000/tint2
# To generate tarball
# git clone https://gitlab.com/o9000/tint2.git
# cd tint2
# git checkout tags/%%{version}
# ./make_release.sh
Source0:        http://leigh123linux.fedorapeople.org/pub/%{name}/source/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  gettext
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(libstartup-notification-1.0)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(imlib2)
BuildRequires:  pkgconfig(xcomposite)
BuildRequires:  pkgconfig(xdamage)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xrender)
BuildRequires:  pkgconfig(x11)

%description
Tint2 is a simple panel and taskbar intentionally made for
openbox3, but should also work with other window managers. The
goal is to keep a clean and unintrusive look with code
lightweight and compliance with freedesktop specifications.

%prep
%setup -q

%build
%cmake
%make_build

%install
%make_install -C build

%find_lang tint2conf

rm -rf %{buildroot}%{_docdir}/%{name}/html/

%files -f tint2conf.lang
%doc AUTHORS README.md ChangeLog doc/images/
%doc doc/manual.html doc/readme.html doc/tint2.md
%license COPYING
%dir %{_sysconfdir}/xdg/tint2
%config(noreplace) %{_sysconfdir}/xdg/tint2/tint2rc
%{_bindir}/tint2*
%{_datadir}/tint2/
%{_datadir}/applications/tint2*.desktop
%{_iconsdir}/hicolor/scalable/*/tint2*.svg
%{_mandir}/man1/* 


%changelog
* Sun Mar 05 2017 daviddavid <daviddavid> 0.13-1.mga6
+ Revision: 1088805
- new version: 0.13

* Mon Feb 06 2017 daviddavid <daviddavid> 0.12.12-1.mga6
+ Revision: 1085051
- new version: 0.12.12
- update URL and Source URL
- switch BRs to pkgconfig()

* Thu Feb 04 2016 umeabot <umeabot> 0.11-7.mga6
+ Revision: 934184
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.11-6.mga5
+ Revision: 743538
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.11-5.mga5
+ Revision: 689893
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.11-4.mga4
+ Revision: 519635
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.11-3.mga3
+ Revision: 384585
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 01 2012 hman <hman> 0.11-2.mga2
+ Revision: 203748
- updated build requires with libgtk+2.0-devel
- imported package tint2

